<template>
  <div class="card">
    <div class="card-header">
      <h3>Create Item</h3>
    </div>
    <div class="card-body">
      <div class="d-flex">
        <input type="text" v-model="item" id="" class="form-control" style="width: 90%;" @keyup.enter="saveItem"> &nbsp;
        <button type="button" class="btn btn-primary" @click="saveItem">Save Item</button>
      </div>
      <div class="mt-2">
        <ul>
          <li v-for="(value, index) in items" :key="index" @click="deleteItem(index)">{{ value }}</li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script setup>
import { ref, reactive } from "vue"
let item = ref();
const items = reactive(["item 1", "Item 2"])
const saveItem = () => {
  items.push(item);
  item = "";
}
const deleteItem = (index) => {
  items.pop(index, 1)
}
</script>

<style lang="scss" scoped></style>